<div class="col-md-10 p-5">
  <h3>DAFTAR USER</h3>
  <hr>
  <table class="table table-bordered table-striped">
    <thead>
      <tr class="text-center">
        <th class="col-md-1" scope="col">No</th>
        <th class="col-md-3" scope="col">Name</th>
        <th class="col-md-2" scope="col">username</th>
        <th class="col-md-2" scope="col">Age</th>
        <th class="col-md-2" colspan="2" scope="col">Action</th>

      </tr>
    </thead>
    <tbody>
      <% for (let i=0; i < users.length; i++) { %>
        <tr>
          <th class="text-center" scope="row">
            <%= i+1 %>
          </th>
          <td>
            <%=users[i].name %>
          </td>
          <td>
            <%=users[i].username %>
          </td>
          <td class="text-center">
            <%= users[i].age %>
          </td>
          <td class="text-center"> <a href="/edit/<%= users[i].id %>" class="btn btn-success">Edit</a></td>
          <!-- button trigger modal  -->
          <td class="text-center"><a href="/delete/<%= users[i].id %>" class="btn btn-danger" data-bs-toggle="modal"
              data-bs-target="#exampleModal">Del</a>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
              aria-hidden="true">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete User?</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body">
                    are you sure to delete this data?
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                    <a href="/delete/<%= users[i].id %>" class="btn btn-primary">Delete</a>
                  </div>
                </div>
              </div>
            </div>



          </td>
        </tr>
        <% } %>
    </tbody>
  </table>
</div>
</div>